import { Component, forwardRef, NgModule, Input, Renderer2, Injector, ChangeDetectorRef, Inject, ViewContainerRef } from '@angular/core';
import { TranslateModule, TranslateService } from '@ngx-translate/core';
import { NarikAutoComplete, NarikButton, BUTTON_DEFAULT_OPTIONS, NarikCheckBox, NarikCheckBoxList, NarikDataTable, NarikDatePicker, NarikInput, NarikRadioGroup, NarikSelect, NarikDynamicForm, NarikTreeview, NarikToolBar } from '@narik/ui-core';
import { NG_VALUE_ACCESSOR, FormsModule } from '@angular/forms';
import { CommonModule, DOCUMENT } from '@angular/common';
import { BusyIndicator, NarikListForm, NarikDetailForm } from '@narik/app-core';
import { __decorate, __metadata } from 'tslib';
import { NarikInject, NarikDialogContainer, DialogAnimationBody } from '@narik/core';
import { PARAMETERS, DIALOG_CONTAINER, DIALOG_MESSAGE_COMPONENT, DIALOG_INPUT_COMPONENT } from '@narik/infrastructure';
import { NarikCommonModule } from '@narik/common';
import { trigger } from '@angular/animations';
import { UUID } from 'angular2-uuid';

/**
 * @fileoverview added by tsickle
 * Generated from: lib/input-output-items.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
const NARIK_UI_COMPONENT_INPUTS = ["options"];
/** @type {?} */
const NARIK_UI_FORM_INPUTS = [
    "id",
    "name",
    "label",
    "disabled",
    "required",
    "readOnly",
    "placeHolder",
    ...NARIK_UI_COMPONENT_INPUTS
];
/** @type {?} */
const NARIK_DATA_ORIENTED_OUTPUTS = [
    "dataChange",
    "selectedItemChange"
];
/** @type {?} */
const NARIK_DATA_ORIENTED_INPUTS = [
    "listenForDataChange",
    "dataSource",
    "dataKey",
    "dataUrl",
    "dataInfo",
    "dataProviderKey",
    "dataParameters",
    "moduleKey",
    "dataMethod",
    "dataUrlMethod",
    ...NARIK_UI_FORM_INPUTS
];
/** @type {?} */
const NARIK_DATA_DISPLAY_VALUE_OUTPUTS = [
    ...NARIK_DATA_ORIENTED_OUTPUTS
];
/** @type {?} */
const NARIK_DATA_DISPLAY_VALUE_INPUTS = [
    "displayField",
    "valueField",
    ...NARIK_DATA_ORIENTED_INPUTS
];
/** @type {?} */
const NARIK_AUTOCOMPLETE_INPUTS = [
    "displayText",
    "minSearchLength",
    "isLazyLoadData"
];
/** @type {?} */
const NARIK_CHECKBOX_INPUTS = ["tag", ...NARIK_UI_FORM_INPUTS];
/** @type {?} */
const NARIK_SELECT_INPUTS = ["multiple"];
/** @type {?} */
const NARIK_DATA_TABLE_SELECT_INPUTS = [
    ...NARIK_SELECT_INPUTS,
    "gridOptions"
];
/** @type {?} */
const NARIK_DATE_PICKER_INPUTS = [...NARIK_UI_FORM_INPUTS];
/** @type {?} */
const NARIK_INPUT_INPUTS = [
    "maxlength",
    "type",
    "mask",
    "icon",
    "displayStatus",
    ...NARIK_UI_FORM_INPUTS
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-auto-complete/narik-ngx-auto-complete.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxAutoComplete extends NarikAutoComplete {
}
NarikNgxAutoComplete.decorators = [
    { type: Component, args: [{
                selector: "narik-ngx-autocomplete  , narik-autocomplete ",
                template: "",
                inputs: [...NARIK_DATA_DISPLAY_VALUE_INPUTS],
                outputs: [...NARIK_DATA_DISPLAY_VALUE_OUTPUTS],
                providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => NarikNgxAutoComplete)),
                        multi: true
                    }
                ],
                styles: [""]
            }] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-auto-complete/narik-ngx-auto-complete.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxAutoCompleteModule {
}
NarikNgxAutoCompleteModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule, FormsModule],
                declarations: [NarikNgxAutoComplete],
                exports: [NarikNgxAutoComplete],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-busy-indicator/narik-ngx-busy-indicator.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxBusyIndicator {
    /**
     * @param {?} newState
     * @param {?=} msg
     * @return {?}
     */
    setBusy(newState, msg) {
        this.isBusy = newState;
    }
}
NarikNgxBusyIndicator.decorators = [
    { type: Component, args: [{
                selector: "narik-ngx-busy-indicator , narik-busy-indicator",
                template: "\r\n",
                providers: [
                    {
                        provide: BusyIndicator,
                        useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => NarikNgxBusyIndicator))
                    }
                ],
                styles: [""]
            }] }
];
NarikNgxBusyIndicator.propDecorators = {
    isBusy: [{ type: Input }]
};
if (false) {
    /** @type {?} */
    NarikNgxBusyIndicator.prototype.busyMessage;
    /** @type {?} */
    NarikNgxBusyIndicator.prototype.isBusy;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-busy-indicator/narik-ngx-busy-indicator.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxBusyIndicatorModule {
}
NarikNgxBusyIndicatorModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule, TranslateModule],
                declarations: [NarikNgxBusyIndicator],
                exports: [NarikNgxBusyIndicator],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-button/narik-ngx-button.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxButtonComponent extends NarikButton {
    /**
     * @param {?} renderer
     * @param {?} injector
     */
    constructor(renderer, injector) {
        super(injector);
        this.renderer = renderer;
    }
    /**
     * @return {?}
     */
    ngAfterViewInit() { }
}
NarikNgxButtonComponent.decorators = [
    { type: Component, args: [{
                selector: "narik-ngx-buuton , narik-button ",
                template: "\r\n"
            }] }
];
/** @nocollapse */
NarikNgxButtonComponent.ctorParameters = () => [
    { type: Renderer2 },
    { type: Injector }
];
__decorate([
    NarikInject(BUTTON_DEFAULT_OPTIONS, {
        buttonStyle: "mat-raised-button",
        busyFontIcon: "fa-spinner"
    }),
    __metadata("design:type", Object)
], NarikNgxButtonComponent.prototype, "defaultOptions", void 0);
if (false) {
    /** @type {?} */
    NarikNgxButtonComponent.prototype.defaultOptions;
    /**
     * @type {?}
     * @private
     */
    NarikNgxButtonComponent.prototype.renderer;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-button/narik-ngx-button.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxButtonModule {
}
NarikNgxButtonModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [NarikNgxButtonComponent],
                exports: [NarikNgxButtonComponent],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-check-box/narik-ngx-checkbox.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxCheckBox extends NarikCheckBox {
    /**
     * @param {?} injector
     */
    constructor(injector) {
        super(injector);
    }
}
NarikNgxCheckBox.decorators = [
    { type: Component, args: [{
                selector: "narik-ngx-checkbox , narik-checkbox",
                template: "",
                inputs: [...NARIK_CHECKBOX_INPUTS],
                providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => NarikNgxCheckBox)),
                        multi: true
                    },
                    {
                        provide: NarikCheckBox,
                        useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => NarikNgxCheckBox))
                    }
                ]
            }] }
];
/** @nocollapse */
NarikNgxCheckBox.ctorParameters = () => [
    { type: Injector }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-check-box/narik-ngx-checkbox.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxCheckBoxModule {
}
NarikNgxCheckBoxModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule, FormsModule],
                declarations: [NarikNgxCheckBox],
                exports: [NarikNgxCheckBox],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-check-box-list/narik-ngx-checkbox-list.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxCheckBoxList extends NarikCheckBoxList {
    /**
     * @param {?} injector
     */
    constructor(injector) {
        super(injector);
    }
}
NarikNgxCheckBoxList.decorators = [
    { type: Component, args: [{
                selector: "narik-ngx-checkbox-list , narik-checkbox-list",
                template: "\r\n",
                inputs: [...NARIK_DATA_DISPLAY_VALUE_INPUTS],
                providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => NarikNgxCheckBoxList)),
                        multi: true
                    }
                ]
            }] }
];
/** @nocollapse */
NarikNgxCheckBoxList.ctorParameters = () => [
    { type: Injector }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-check-box-list/narik-ngx-checkbox-list.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxCheckBoxListModule {
}
NarikNgxCheckBoxListModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    FormsModule,
                    NarikNgxCheckBoxModule
                ],
                declarations: [NarikNgxCheckBoxList],
                exports: [NarikNgxCheckBoxList],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-data-table/narik-ngx-data-table.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxDataTable extends NarikDataTable {
    /**
     * @param {?} injector
     * @param {?} changeDetector
     * @param {?} document
     */
    constructor(injector, changeDetector, document) {
        super(injector);
        this.changeDetector = changeDetector;
        this.document = document;
    }
}
NarikNgxDataTable.decorators = [
    { type: Component, args: [{
                selector: "narik-ngx-data-table , narik-data-table",
                template: ""
            }] }
];
/** @nocollapse */
NarikNgxDataTable.ctorParameters = () => [
    { type: Injector },
    { type: ChangeDetectorRef },
    { type: undefined, decorators: [{ type: Inject, args: [DOCUMENT,] }] }
];
if (false) {
    /**
     * @type {?}
     * @private
     */
    NarikNgxDataTable.prototype.changeDetector;
    /**
     * @type {?}
     * @private
     */
    NarikNgxDataTable.prototype.document;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-data-table/narik-ngx-data-table.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxDataTableModule {
}
NarikNgxDataTableModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule, FormsModule, TranslateModule],
                declarations: [NarikNgxDataTable],
                exports: [NarikNgxDataTable],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-date-picker/narik-ngx-date-picker.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxDatePicker extends NarikDatePicker {
    /**
     * @param {?} injector
     */
    constructor(injector) {
        super(injector);
    }
}
NarikNgxDatePicker.decorators = [
    { type: Component, args: [{
                selector: "narik-ngx-date-picker , narik-date-picker",
                template: "\r\n",
                inputs: [...NARIK_DATE_PICKER_INPUTS],
                providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => NarikNgxDatePicker)),
                        multi: true
                    }
                ]
            }] }
];
/** @nocollapse */
NarikNgxDatePicker.ctorParameters = () => [
    { type: Injector }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-date-picker/narik-ngx-date-picker.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxDatePickerModule {
}
NarikNgxDatePickerModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule, FormsModule, TranslateModule],
                declarations: [NarikNgxDatePicker],
                exports: [NarikNgxDatePicker],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-date-picker/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-input/narik-ngx-input.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxInput extends NarikInput {
    /**
     * @param {?} injector
     */
    constructor(injector) {
        super(injector);
    }
}
NarikNgxInput.decorators = [
    { type: Component, args: [{
                selector: "narik-ngx-input , narik-input",
                template: "",
                inputs: [...NARIK_INPUT_INPUTS],
                providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => NarikNgxInput)),
                        multi: true
                    }
                ]
            }] }
];
/** @nocollapse */
NarikNgxInput.ctorParameters = () => [
    { type: Injector }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-input/narik-ngx-input.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxInputModule {
}
NarikNgxInputModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule, FormsModule],
                declarations: [NarikNgxInput],
                exports: [NarikNgxInput],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-radio/narik-ngx-radio-group.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxRadioGroup extends NarikRadioGroup {
    /**
     * @param {?} injector
     */
    constructor(injector) {
        super(injector);
    }
}
NarikNgxRadioGroup.decorators = [
    { type: Component, args: [{
                selector: "narik-ngx-radio-group , narik-radio-group",
                template: "",
                inputs: [...NARIK_DATA_DISPLAY_VALUE_INPUTS],
                providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => NarikNgxRadioGroup)),
                        multi: true
                    }
                ]
            }] }
];
/** @nocollapse */
NarikNgxRadioGroup.ctorParameters = () => [
    { type: Injector }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-radio/narik-ngx-radio.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxRadioGroupModule {
}
NarikNgxRadioGroupModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule, FormsModule],
                declarations: [NarikNgxRadioGroup],
                exports: [NarikNgxRadioGroup],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-select/narik-ngx-select.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxSelect extends NarikSelect {
    /**
     * @param {?} injector
     */
    constructor(injector) {
        super(injector);
        this.optionData = [];
    }
    /**
     * @protected
     * @param {?} data
     * @return {?}
     */
    useData(data) {
        this.optionData = data;
    }
}
NarikNgxSelect.decorators = [
    { type: Component, args: [{
                selector: "narik-ngx-select , narik-select",
                template: "",
                inputs: [...NARIK_DATA_DISPLAY_VALUE_INPUTS, ...NARIK_SELECT_INPUTS],
                outputs: [...NARIK_DATA_DISPLAY_VALUE_OUTPUTS],
                providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => NarikNgxSelect)),
                        multi: true
                    }
                ],
                styles: [".select-clear{position:absolute;left:-2px;top:-30px}.search-input{padding:16px;box-sizing:border-box}.search-continer{border-bottom:1px solid rgba(0,0,0,.12);top:0;width:100%;position:-webkit-sticky;position:sticky;background-color:#fff;z-index:10000}"]
            }] }
];
/** @nocollapse */
NarikNgxSelect.ctorParameters = () => [
    { type: Injector }
];
if (false) {
    /** @type {?} */
    NarikNgxSelect.prototype.optionData;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-select/narik-ngx-select.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxSelectModule {
}
NarikNgxSelectModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule, FormsModule],
                declarations: [NarikNgxSelect],
                exports: [NarikNgxSelect],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-dynamic-form/narik-ngx-dynamic-form.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxDynamicForm extends NarikDynamicForm {
    /**
     * @param {?} injector
     * @param {?} viewContainerRef
     */
    constructor(injector, viewContainerRef) {
        super(injector, viewContainerRef);
    }
}
NarikNgxDynamicForm.decorators = [
    { type: Component, args: [{
                selector: "narik-dynamic-form , narik-ngx-dynamic-form",
                template: "<div\r\n  class=\"dx-fieldset\"\r\n  [tab-guard]=\"activeTabGuard\"\r\n  [auto-focus]=\"activeAutoFocus\"\r\n  [autoFocusContainerName]=\"defaultFocusField\"\r\n>\r\n  <ng-container *ngFor=\"let item of fields\">\r\n\r\n  </ng-container>\r\n</div>\r\n",
                providers: [
                    {
                        provide: NarikDynamicForm,
                        useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => NarikNgxDynamicForm))
                    }
                ]
            }] }
];
/** @nocollapse */
NarikNgxDynamicForm.ctorParameters = () => [
    { type: Injector },
    { type: ViewContainerRef }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-dynamic-form/narik-ngx-dynamic-form.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxDynamicFormModule {
}
NarikNgxDynamicFormModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    FormsModule,
                    TranslateModule,
                    NarikNgxInputModule,
                    NarikNgxSelectModule,
                    NarikNgxCheckBoxModule,
                    NarikNgxRadioGroupModule,
                    NarikNgxAutoCompleteModule,
                    NarikNgxDatePickerModule,
                    NarikCommonModule
                ],
                declarations: [NarikNgxDynamicForm],
                exports: [NarikNgxDynamicForm],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-dialog/narik-ngx-dialog-container.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxDialogContainer extends NarikDialogContainer {
    /**
     * @return {?}
     */
    ngOnInit() { }
}
NarikNgxDialogContainer.decorators = [
    { type: Component, args: [{
                template: "",
                animations: [trigger("openClose", DialogAnimationBody)],
                styles: [".dialog-container{background-color:#fff;border-radius:5px;box-shadow:20px 20px 15px -7px rgba(0,0,0,.2),0 24px 38px 3px rgba(0,0,0,.14),0 9px 46px 8px rgba(0,0,0,.12)}"]
            }] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-dialog/narik-ngx-input-dialog.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxInputDialog {
    /**
     * @param {?} parameters
     */
    constructor(parameters) {
        this.entity = {};
        this.fields = [];
        if (parameters) {
            this.entity = parameters.entity;
            this.fields = parameters.fields;
        }
    }
    /**
     * @return {?}
     */
    ngOnInit() { }
}
NarikNgxInputDialog.decorators = [
    { type: Component, args: [{
                template: "<div class=\"pr-2 pl-2\">\r\n  <narik-dynamic-form [model]=\"entity\" [fields]=\"fields\"></narik-dynamic-form>\r\n</div>\r\n"
            }] }
];
/** @nocollapse */
NarikNgxInputDialog.ctorParameters = () => [
    { type: undefined, decorators: [{ type: Inject, args: [PARAMETERS,] }] }
];
if (false) {
    /** @type {?} */
    NarikNgxInputDialog.prototype.entity;
    /** @type {?} */
    NarikNgxInputDialog.prototype.fields;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-dialog/narik-ngx-message-dialog.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxMessageDialog {
    /**
     * @param {?} parameters
     */
    constructor(parameters) {
        if (parameters) {
            this.message = parameters.message;
        }
    }
    /**
     * @return {?}
     */
    ngOnInit() { }
}
NarikNgxMessageDialog.decorators = [
    { type: Component, args: [{
                template: "<div class=\"card p-2\">{{message | translate}}</div>\r\n"
            }] }
];
/** @nocollapse */
NarikNgxMessageDialog.ctorParameters = () => [
    { type: undefined, decorators: [{ type: Inject, args: [PARAMETERS,] }] }
];
if (false) {
    /** @type {?} */
    NarikNgxMessageDialog.prototype.message;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-dialog/narik-ngx-dialog.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
const ɵ0 = NarikNgxDialogContainer, ɵ1 = NarikNgxMessageDialog, ɵ2 = NarikNgxInputDialog;
class NarikNgxDialogModule {
}
NarikNgxDialogModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    FormsModule,
                    TranslateModule,
                    NarikCommonModule,
                    NarikNgxButtonModule,
                    NarikNgxDynamicFormModule
                ],
                declarations: [
                    NarikNgxDialogContainer,
                    NarikNgxInputDialog,
                    NarikNgxMessageDialog
                ],
                exports: [
                    NarikNgxDialogContainer,
                    NarikNgxInputDialog,
                    NarikNgxMessageDialog
                ],
                providers: [
                    {
                        provide: DIALOG_CONTAINER,
                        useValue: ɵ0
                    },
                    {
                        provide: DIALOG_MESSAGE_COMPONENT,
                        useValue: ɵ1
                    },
                    {
                        provide: DIALOG_INPUT_COMPONENT,
                        useValue: ɵ2
                    }
                ],
                entryComponents: [
                    NarikNgxDialogContainer,
                    NarikNgxInputDialog,
                    NarikNgxMessageDialog
                ]
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-treeview/narik-ngx-treeview.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxTreeview extends NarikTreeview {
    /**
     * @param {?} injector
     */
    constructor(injector) {
        super(injector);
    }
    /**
     * @param {?} value
     * @return {?}
     */
    set selectedItem(value) {
        this._selectedItem = value;
    }
    /**
     * @return {?}
     */
    get selectedItem() {
        return this._selectedItem;
    }
    /**
     * @param {?} selectedNode
     * @return {?}
     */
    addNode(selectedNode) {
        throw new Error("Method not implemented.");
    }
    /**
     * @param {?} selectedNode
     * @return {?}
     */
    deleteNode(selectedNode) {
        throw new Error("Method not implemented.");
    }
}
NarikNgxTreeview.decorators = [
    { type: Component, args: [{
                selector: "narik-ngx-treeview narik-treeview",
                template: ""
            }] }
];
/** @nocollapse */
NarikNgxTreeview.ctorParameters = () => [
    { type: Injector }
];
NarikNgxTreeview.propDecorators = {
    newNodeTitle: [{ type: Input }]
};
if (false) {
    /** @type {?} */
    NarikNgxTreeview.prototype.newNodeTitle;
    /** @type {?} */
    NarikNgxTreeview.prototype._selectedItem;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-toolbar/narik-ngx-toolbar.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxToolBar extends NarikToolBar {
    /**
     * @param {?} injector
     * @param {?} viewContainerRef
     */
    constructor(injector, viewContainerRef) {
        super(injector, viewContainerRef);
        this.uniqueId = "";
        this.uniqueId = "toolbar" + UUID.UUID();
    }
}
NarikNgxToolBar.decorators = [
    { type: Component, args: [{
                selector: "narik-toolbar , narik-ngx-toolbar",
                template: "\r\n"
            }] }
];
/** @nocollapse */
NarikNgxToolBar.ctorParameters = () => [
    { type: Injector },
    { type: ViewContainerRef }
];
if (false) {
    /** @type {?} */
    NarikNgxToolBar.prototype.uniqueId;
    /** @type {?} */
    NarikNgxToolBar.prototype.toolbarItems;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-toolbar/narik-ngx-toolbar.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxToolbarModule {
}
NarikNgxToolbarModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    FormsModule,
                    NarikNgxButtonModule,
                    TranslateModule
                ],
                declarations: [NarikNgxToolBar],
                exports: [NarikNgxToolBar],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-treeview/narik-ngx-treeview.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxTreeviewModule {
}
NarikNgxTreeviewModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    FormsModule,
                    NarikNgxToolbarModule,
                    TranslateModule
                ],
                declarations: [NarikNgxTreeview],
                exports: [NarikNgxTreeview],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-core/narik-ngx-core.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgxCoreModule {
}
NarikNgxCoreModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [],
                exports: [],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ui-ngx-bootstrap.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikUiNgxBootstrapModule {
}
NarikUiNgxBootstrapModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    TranslateModule,
                    NarikNgxAutoCompleteModule,
                    NarikNgxBusyIndicatorModule,
                    NarikNgxButtonModule,
                    NarikNgxCheckBoxModule,
                    NarikNgxCheckBoxListModule,
                    NarikNgxDataTableModule,
                    NarikNgxDatePickerModule,
                    NarikNgxDialogModule,
                    NarikNgxDynamicFormModule,
                    NarikNgxInputModule,
                    NarikNgxRadioGroupModule,
                    NarikNgxSelectModule,
                    NarikNgxToolbarModule,
                    NarikNgxTreeviewModule,
                    NarikNgxCoreModule
                ],
                declarations: [],
                exports: [
                    TranslateModule,
                    NarikNgxAutoCompleteModule,
                    NarikNgxBusyIndicatorModule,
                    NarikNgxButtonModule,
                    NarikNgxCheckBoxModule,
                    NarikNgxCheckBoxListModule,
                    NarikNgxDataTableModule,
                    NarikNgxDatePickerModule,
                    NarikNgxDialogModule,
                    NarikNgxDynamicFormModule,
                    NarikNgxInputModule,
                    NarikNgxRadioGroupModule,
                    NarikNgxSelectModule,
                    NarikNgxToolbarModule,
                    NarikNgxTreeviewModule,
                    NarikNgxCoreModule
                ],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/base/narik-ngx-list-form.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 */
class NarikUiListForm extends NarikListForm {
    /**
     * @param {?} injector
     */
    constructor(injector) {
        super(injector);
        this.ds = [];
        this.hasDataSource = false;
    }
    /**
     * @return {?}
     */
    get isServerSide() {
        return this.config && this.config.isServerSideData ? true : false;
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        super.ngOnInit();
        if (this.fields) {
        }
        if (this.config) {
            if (this.isServerSide) {
                /** @type {?} */
                const that = this;
            }
        }
    }
    /**
     * @return {?}
     */
    ngAfterViewInit() { }
    /**
     * @param {?} result
     * @return {?}
     */
    useData(result) {
        this.dataSource = (/** @type {?} */ (result.data));
    }
    /**
     * @protected
     * @param {?=} remoteDaraParams
     * @return {?}
     */
    refresh(remoteDaraParams) {
        if (!this.isServerSide) {
            this.getEntities();
        }
        else {
            // this.grid.refresh();
        }
    }
}
__decorate([
    NarikInject(TranslateService),
    __metadata("design:type", TranslateService)
], NarikUiListForm.prototype, "translateService", void 0);
if (false) {
    /** @type {?} */
    NarikUiListForm.prototype.ds;
    /** @type {?} */
    NarikUiListForm.prototype.translateService;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/base/narik-ngx-detail-form.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 */
class NarikUiDetailForm extends NarikDetailForm {
    /**
     * @param {?} injector
     */
    constructor(injector) {
        super(injector);
    }
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/base/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-auto-complete/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-busy-indicator/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-button/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-check-box/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-check-box-list/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-input/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-radio/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-select/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-toolbar/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-dynamic-form/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-treeview/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-dialog/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-data-table/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-core/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: narik-ui-ngx-bootstrap.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { NarikNgxAutoComplete, NarikNgxAutoCompleteModule, NarikNgxBusyIndicator, NarikNgxBusyIndicatorModule, NarikNgxButtonComponent, NarikNgxButtonModule, NarikNgxCheckBox, NarikNgxCheckBoxList, NarikNgxCheckBoxListModule, NarikNgxCheckBoxModule, NarikNgxCoreModule, NarikNgxDataTable, NarikNgxDataTableModule, NarikNgxDatePicker, NarikNgxDatePickerModule, NarikNgxDialogContainer, NarikNgxDialogModule, NarikNgxDynamicForm, NarikNgxDynamicFormModule, NarikNgxInput, NarikNgxInputDialog, NarikNgxInputModule, NarikNgxMessageDialog, NarikNgxRadioGroup, NarikNgxRadioGroupModule, NarikNgxSelect, NarikNgxSelectModule, NarikNgxToolBar, NarikNgxToolbarModule, NarikNgxTreeview, NarikNgxTreeviewModule, NarikUiDetailForm, NarikUiListForm, NarikUiNgxBootstrapModule, NARIK_UI_COMPONENT_INPUTS as ɵa, NARIK_UI_FORM_INPUTS as ɵb, NARIK_DATA_ORIENTED_OUTPUTS as ɵc, NARIK_DATA_ORIENTED_INPUTS as ɵd, NARIK_DATA_DISPLAY_VALUE_OUTPUTS as ɵe, NARIK_DATA_DISPLAY_VALUE_INPUTS as ɵf, NARIK_CHECKBOX_INPUTS as ɵg, NARIK_SELECT_INPUTS as ɵh, NARIK_DATE_PICKER_INPUTS as ɵi, NARIK_INPUT_INPUTS as ɵj };
//# sourceMappingURL=narik-ui-ngx-bootstrap.js.map
