import { Component, forwardRef, NgModule, Input, Renderer2, Injector, ChangeDetectorRef, Inject, ViewContainerRef } from '@angular/core';
import { TranslateModule, TranslateService } from '@ngx-translate/core';
import { __spread, __extends, __decorate, __metadata } from 'tslib';
import { NarikAutoComplete, BUTTON_DEFAULT_OPTIONS, NarikButton, NarikCheckBox, NarikCheckBoxList, NarikDataTable, NarikDatePicker, NarikInput, NarikRadioGroup, NarikSelect, NarikDynamicForm, NarikTreeview, NarikToolBar } from '@narik/ui-core';
import { NG_VALUE_ACCESSOR, FormsModule } from '@angular/forms';
import { CommonModule, DOCUMENT } from '@angular/common';
import { BusyIndicator, NarikListForm, NarikDetailForm } from '@narik/app-core';
import { NarikInject, DialogAnimationBody, NarikDialogContainer } from '@narik/core';
import { PARAMETERS, DIALOG_CONTAINER, DIALOG_MESSAGE_COMPONENT, DIALOG_INPUT_COMPONENT } from '@narik/infrastructure';
import { NarikCommonModule } from '@narik/common';
import { trigger } from '@angular/animations';
import { UUID } from 'angular2-uuid';

/**
 * @fileoverview added by tsickle
 * Generated from: lib/input-output-items.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
var NARIK_UI_COMPONENT_INPUTS = ["options"];
/** @type {?} */
var NARIK_UI_FORM_INPUTS = __spread([
    "id",
    "name",
    "label",
    "disabled",
    "required",
    "readOnly",
    "placeHolder"
], NARIK_UI_COMPONENT_INPUTS);
/** @type {?} */
var NARIK_DATA_ORIENTED_OUTPUTS = [
    "dataChange",
    "selectedItemChange"
];
/** @type {?} */
var NARIK_DATA_ORIENTED_INPUTS = __spread([
    "listenForDataChange",
    "dataSource",
    "dataKey",
    "dataUrl",
    "dataInfo",
    "dataProviderKey",
    "dataParameters",
    "moduleKey",
    "dataMethod",
    "dataUrlMethod"
], NARIK_UI_FORM_INPUTS);
/** @type {?} */
var NARIK_DATA_DISPLAY_VALUE_OUTPUTS = __spread(NARIK_DATA_ORIENTED_OUTPUTS);
/** @type {?} */
var NARIK_DATA_DISPLAY_VALUE_INPUTS = __spread([
    "displayField",
    "valueField"
], NARIK_DATA_ORIENTED_INPUTS);
/** @type {?} */
var NARIK_AUTOCOMPLETE_INPUTS = [
    "displayText",
    "minSearchLength",
    "isLazyLoadData"
];
/** @type {?} */
var NARIK_CHECKBOX_INPUTS = __spread(["tag"], NARIK_UI_FORM_INPUTS);
/** @type {?} */
var NARIK_SELECT_INPUTS = ["multiple"];
/** @type {?} */
var NARIK_DATA_TABLE_SELECT_INPUTS = __spread(NARIK_SELECT_INPUTS, [
    "gridOptions"
]);
/** @type {?} */
var NARIK_DATE_PICKER_INPUTS = __spread(NARIK_UI_FORM_INPUTS);
/** @type {?} */
var NARIK_INPUT_INPUTS = __spread([
    "maxlength",
    "type",
    "mask",
    "icon",
    "displayStatus"
], NARIK_UI_FORM_INPUTS);

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-auto-complete/narik-ngx-auto-complete.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxAutoComplete = /** @class */ (function (_super) {
    __extends(NarikNgxAutoComplete, _super);
    function NarikNgxAutoComplete() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    NarikNgxAutoComplete.decorators = [
        { type: Component, args: [{
                    selector: "narik-ngx-autocomplete  , narik-autocomplete ",
                    template: "",
                    inputs: __spread(NARIK_DATA_DISPLAY_VALUE_INPUTS),
                    outputs: __spread(NARIK_DATA_DISPLAY_VALUE_OUTPUTS),
                    providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef((/**
                             * @return {?}
                             */
                            function () { return NarikNgxAutoComplete; })),
                            multi: true
                        }
                    ],
                    styles: [""]
                }] }
    ];
    return NarikNgxAutoComplete;
}(NarikAutoComplete));

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-auto-complete/narik-ngx-auto-complete.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxAutoCompleteModule = /** @class */ (function () {
    function NarikNgxAutoCompleteModule() {
    }
    NarikNgxAutoCompleteModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule, FormsModule],
                    declarations: [NarikNgxAutoComplete],
                    exports: [NarikNgxAutoComplete],
                    providers: []
                },] }
    ];
    return NarikNgxAutoCompleteModule;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-busy-indicator/narik-ngx-busy-indicator.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxBusyIndicator = /** @class */ (function () {
    function NarikNgxBusyIndicator() {
    }
    /**
     * @param {?} newState
     * @param {?=} msg
     * @return {?}
     */
    NarikNgxBusyIndicator.prototype.setBusy = /**
     * @param {?} newState
     * @param {?=} msg
     * @return {?}
     */
    function (newState, msg) {
        this.isBusy = newState;
    };
    NarikNgxBusyIndicator.decorators = [
        { type: Component, args: [{
                    selector: "narik-ngx-busy-indicator , narik-busy-indicator",
                    template: "\r\n",
                    providers: [
                        {
                            provide: BusyIndicator,
                            useExisting: forwardRef((/**
                             * @return {?}
                             */
                            function () { return NarikNgxBusyIndicator; }))
                        }
                    ],
                    styles: [""]
                }] }
    ];
    NarikNgxBusyIndicator.propDecorators = {
        isBusy: [{ type: Input }]
    };
    return NarikNgxBusyIndicator;
}());
if (false) {
    /** @type {?} */
    NarikNgxBusyIndicator.prototype.busyMessage;
    /** @type {?} */
    NarikNgxBusyIndicator.prototype.isBusy;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-busy-indicator/narik-ngx-busy-indicator.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxBusyIndicatorModule = /** @class */ (function () {
    function NarikNgxBusyIndicatorModule() {
    }
    NarikNgxBusyIndicatorModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule, TranslateModule],
                    declarations: [NarikNgxBusyIndicator],
                    exports: [NarikNgxBusyIndicator],
                    providers: []
                },] }
    ];
    return NarikNgxBusyIndicatorModule;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-button/narik-ngx-button.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxButtonComponent = /** @class */ (function (_super) {
    __extends(NarikNgxButtonComponent, _super);
    function NarikNgxButtonComponent(renderer, injector) {
        var _this = _super.call(this, injector) || this;
        _this.renderer = renderer;
        return _this;
    }
    /**
     * @return {?}
     */
    NarikNgxButtonComponent.prototype.ngAfterViewInit = /**
     * @return {?}
     */
    function () { };
    NarikNgxButtonComponent.decorators = [
        { type: Component, args: [{
                    selector: "narik-ngx-buuton , narik-button ",
                    template: "\r\n"
                }] }
    ];
    /** @nocollapse */
    NarikNgxButtonComponent.ctorParameters = function () { return [
        { type: Renderer2 },
        { type: Injector }
    ]; };
    __decorate([
        NarikInject(BUTTON_DEFAULT_OPTIONS, {
            buttonStyle: "mat-raised-button",
            busyFontIcon: "fa-spinner"
        }),
        __metadata("design:type", Object)
    ], NarikNgxButtonComponent.prototype, "defaultOptions", void 0);
    return NarikNgxButtonComponent;
}(NarikButton));
if (false) {
    /** @type {?} */
    NarikNgxButtonComponent.prototype.defaultOptions;
    /**
     * @type {?}
     * @private
     */
    NarikNgxButtonComponent.prototype.renderer;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-button/narik-ngx-button.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxButtonModule = /** @class */ (function () {
    function NarikNgxButtonModule() {
    }
    NarikNgxButtonModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule],
                    declarations: [NarikNgxButtonComponent],
                    exports: [NarikNgxButtonComponent],
                    providers: []
                },] }
    ];
    return NarikNgxButtonModule;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-check-box/narik-ngx-checkbox.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxCheckBox = /** @class */ (function (_super) {
    __extends(NarikNgxCheckBox, _super);
    function NarikNgxCheckBox(injector) {
        return _super.call(this, injector) || this;
    }
    NarikNgxCheckBox.decorators = [
        { type: Component, args: [{
                    selector: "narik-ngx-checkbox , narik-checkbox",
                    template: "",
                    inputs: __spread(NARIK_CHECKBOX_INPUTS),
                    providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef((/**
                             * @return {?}
                             */
                            function () { return NarikNgxCheckBox; })),
                            multi: true
                        },
                        {
                            provide: NarikCheckBox,
                            useExisting: forwardRef((/**
                             * @return {?}
                             */
                            function () { return NarikNgxCheckBox; }))
                        }
                    ]
                }] }
    ];
    /** @nocollapse */
    NarikNgxCheckBox.ctorParameters = function () { return [
        { type: Injector }
    ]; };
    return NarikNgxCheckBox;
}(NarikCheckBox));

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-check-box/narik-ngx-checkbox.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxCheckBoxModule = /** @class */ (function () {
    function NarikNgxCheckBoxModule() {
    }
    NarikNgxCheckBoxModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule, FormsModule],
                    declarations: [NarikNgxCheckBox],
                    exports: [NarikNgxCheckBox],
                    providers: []
                },] }
    ];
    return NarikNgxCheckBoxModule;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-check-box-list/narik-ngx-checkbox-list.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxCheckBoxList = /** @class */ (function (_super) {
    __extends(NarikNgxCheckBoxList, _super);
    function NarikNgxCheckBoxList(injector) {
        return _super.call(this, injector) || this;
    }
    NarikNgxCheckBoxList.decorators = [
        { type: Component, args: [{
                    selector: "narik-ngx-checkbox-list , narik-checkbox-list",
                    template: "\r\n",
                    inputs: __spread(NARIK_DATA_DISPLAY_VALUE_INPUTS),
                    providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef((/**
                             * @return {?}
                             */
                            function () { return NarikNgxCheckBoxList; })),
                            multi: true
                        }
                    ]
                }] }
    ];
    /** @nocollapse */
    NarikNgxCheckBoxList.ctorParameters = function () { return [
        { type: Injector }
    ]; };
    return NarikNgxCheckBoxList;
}(NarikCheckBoxList));

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-check-box-list/narik-ngx-checkbox-list.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxCheckBoxListModule = /** @class */ (function () {
    function NarikNgxCheckBoxListModule() {
    }
    NarikNgxCheckBoxListModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        FormsModule,
                        NarikNgxCheckBoxModule
                    ],
                    declarations: [NarikNgxCheckBoxList],
                    exports: [NarikNgxCheckBoxList],
                    providers: []
                },] }
    ];
    return NarikNgxCheckBoxListModule;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-data-table/narik-ngx-data-table.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxDataTable = /** @class */ (function (_super) {
    __extends(NarikNgxDataTable, _super);
    function NarikNgxDataTable(injector, changeDetector, document) {
        var _this = _super.call(this, injector) || this;
        _this.changeDetector = changeDetector;
        _this.document = document;
        return _this;
    }
    NarikNgxDataTable.decorators = [
        { type: Component, args: [{
                    selector: "narik-ngx-data-table , narik-data-table",
                    template: ""
                }] }
    ];
    /** @nocollapse */
    NarikNgxDataTable.ctorParameters = function () { return [
        { type: Injector },
        { type: ChangeDetectorRef },
        { type: undefined, decorators: [{ type: Inject, args: [DOCUMENT,] }] }
    ]; };
    return NarikNgxDataTable;
}(NarikDataTable));
if (false) {
    /**
     * @type {?}
     * @private
     */
    NarikNgxDataTable.prototype.changeDetector;
    /**
     * @type {?}
     * @private
     */
    NarikNgxDataTable.prototype.document;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-data-table/narik-ngx-data-table.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxDataTableModule = /** @class */ (function () {
    function NarikNgxDataTableModule() {
    }
    NarikNgxDataTableModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule, FormsModule, TranslateModule],
                    declarations: [NarikNgxDataTable],
                    exports: [NarikNgxDataTable],
                    providers: []
                },] }
    ];
    return NarikNgxDataTableModule;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-date-picker/narik-ngx-date-picker.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxDatePicker = /** @class */ (function (_super) {
    __extends(NarikNgxDatePicker, _super);
    function NarikNgxDatePicker(injector) {
        return _super.call(this, injector) || this;
    }
    NarikNgxDatePicker.decorators = [
        { type: Component, args: [{
                    selector: "narik-ngx-date-picker , narik-date-picker",
                    template: "\r\n",
                    inputs: __spread(NARIK_DATE_PICKER_INPUTS),
                    providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef((/**
                             * @return {?}
                             */
                            function () { return NarikNgxDatePicker; })),
                            multi: true
                        }
                    ]
                }] }
    ];
    /** @nocollapse */
    NarikNgxDatePicker.ctorParameters = function () { return [
        { type: Injector }
    ]; };
    return NarikNgxDatePicker;
}(NarikDatePicker));

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-date-picker/narik-ngx-date-picker.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxDatePickerModule = /** @class */ (function () {
    function NarikNgxDatePickerModule() {
    }
    NarikNgxDatePickerModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule, FormsModule, TranslateModule],
                    declarations: [NarikNgxDatePicker],
                    exports: [NarikNgxDatePicker],
                    providers: []
                },] }
    ];
    return NarikNgxDatePickerModule;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-date-picker/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-input/narik-ngx-input.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxInput = /** @class */ (function (_super) {
    __extends(NarikNgxInput, _super);
    function NarikNgxInput(injector) {
        return _super.call(this, injector) || this;
    }
    NarikNgxInput.decorators = [
        { type: Component, args: [{
                    selector: "narik-ngx-input , narik-input",
                    template: "",
                    inputs: __spread(NARIK_INPUT_INPUTS),
                    providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef((/**
                             * @return {?}
                             */
                            function () { return NarikNgxInput; })),
                            multi: true
                        }
                    ]
                }] }
    ];
    /** @nocollapse */
    NarikNgxInput.ctorParameters = function () { return [
        { type: Injector }
    ]; };
    return NarikNgxInput;
}(NarikInput));

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-input/narik-ngx-input.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxInputModule = /** @class */ (function () {
    function NarikNgxInputModule() {
    }
    NarikNgxInputModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule, FormsModule],
                    declarations: [NarikNgxInput],
                    exports: [NarikNgxInput],
                    providers: []
                },] }
    ];
    return NarikNgxInputModule;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-radio/narik-ngx-radio-group.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxRadioGroup = /** @class */ (function (_super) {
    __extends(NarikNgxRadioGroup, _super);
    function NarikNgxRadioGroup(injector) {
        return _super.call(this, injector) || this;
    }
    NarikNgxRadioGroup.decorators = [
        { type: Component, args: [{
                    selector: "narik-ngx-radio-group , narik-radio-group",
                    template: "",
                    inputs: __spread(NARIK_DATA_DISPLAY_VALUE_INPUTS),
                    providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef((/**
                             * @return {?}
                             */
                            function () { return NarikNgxRadioGroup; })),
                            multi: true
                        }
                    ]
                }] }
    ];
    /** @nocollapse */
    NarikNgxRadioGroup.ctorParameters = function () { return [
        { type: Injector }
    ]; };
    return NarikNgxRadioGroup;
}(NarikRadioGroup));

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-radio/narik-ngx-radio.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxRadioGroupModule = /** @class */ (function () {
    function NarikNgxRadioGroupModule() {
    }
    NarikNgxRadioGroupModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule, FormsModule],
                    declarations: [NarikNgxRadioGroup],
                    exports: [NarikNgxRadioGroup],
                    providers: []
                },] }
    ];
    return NarikNgxRadioGroupModule;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-select/narik-ngx-select.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxSelect = /** @class */ (function (_super) {
    __extends(NarikNgxSelect, _super);
    function NarikNgxSelect(injector) {
        var _this = _super.call(this, injector) || this;
        _this.optionData = [];
        return _this;
    }
    /**
     * @protected
     * @param {?} data
     * @return {?}
     */
    NarikNgxSelect.prototype.useData = /**
     * @protected
     * @param {?} data
     * @return {?}
     */
    function (data) {
        this.optionData = data;
    };
    NarikNgxSelect.decorators = [
        { type: Component, args: [{
                    selector: "narik-ngx-select , narik-select",
                    template: "",
                    inputs: __spread(NARIK_DATA_DISPLAY_VALUE_INPUTS, NARIK_SELECT_INPUTS),
                    outputs: __spread(NARIK_DATA_DISPLAY_VALUE_OUTPUTS),
                    providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef((/**
                             * @return {?}
                             */
                            function () { return NarikNgxSelect; })),
                            multi: true
                        }
                    ],
                    styles: [".select-clear{position:absolute;left:-2px;top:-30px}.search-input{padding:16px;box-sizing:border-box}.search-continer{border-bottom:1px solid rgba(0,0,0,.12);top:0;width:100%;position:-webkit-sticky;position:sticky;background-color:#fff;z-index:10000}"]
                }] }
    ];
    /** @nocollapse */
    NarikNgxSelect.ctorParameters = function () { return [
        { type: Injector }
    ]; };
    return NarikNgxSelect;
}(NarikSelect));
if (false) {
    /** @type {?} */
    NarikNgxSelect.prototype.optionData;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-select/narik-ngx-select.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxSelectModule = /** @class */ (function () {
    function NarikNgxSelectModule() {
    }
    NarikNgxSelectModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule, FormsModule],
                    declarations: [NarikNgxSelect],
                    exports: [NarikNgxSelect],
                    providers: []
                },] }
    ];
    return NarikNgxSelectModule;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-dynamic-form/narik-ngx-dynamic-form.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxDynamicForm = /** @class */ (function (_super) {
    __extends(NarikNgxDynamicForm, _super);
    function NarikNgxDynamicForm(injector, viewContainerRef) {
        return _super.call(this, injector, viewContainerRef) || this;
    }
    NarikNgxDynamicForm.decorators = [
        { type: Component, args: [{
                    selector: "narik-dynamic-form , narik-ngx-dynamic-form",
                    template: "<div\r\n  class=\"dx-fieldset\"\r\n  [tab-guard]=\"activeTabGuard\"\r\n  [auto-focus]=\"activeAutoFocus\"\r\n  [autoFocusContainerName]=\"defaultFocusField\"\r\n>\r\n  <ng-container *ngFor=\"let item of fields\">\r\n\r\n  </ng-container>\r\n</div>\r\n",
                    providers: [
                        {
                            provide: NarikDynamicForm,
                            useExisting: forwardRef((/**
                             * @return {?}
                             */
                            function () { return NarikNgxDynamicForm; }))
                        }
                    ]
                }] }
    ];
    /** @nocollapse */
    NarikNgxDynamicForm.ctorParameters = function () { return [
        { type: Injector },
        { type: ViewContainerRef }
    ]; };
    return NarikNgxDynamicForm;
}(NarikDynamicForm));

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-dynamic-form/narik-ngx-dynamic-form.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxDynamicFormModule = /** @class */ (function () {
    function NarikNgxDynamicFormModule() {
    }
    NarikNgxDynamicFormModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        FormsModule,
                        TranslateModule,
                        NarikNgxInputModule,
                        NarikNgxSelectModule,
                        NarikNgxCheckBoxModule,
                        NarikNgxRadioGroupModule,
                        NarikNgxAutoCompleteModule,
                        NarikNgxDatePickerModule,
                        NarikCommonModule
                    ],
                    declarations: [NarikNgxDynamicForm],
                    exports: [NarikNgxDynamicForm],
                    providers: []
                },] }
    ];
    return NarikNgxDynamicFormModule;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-dialog/narik-ngx-dialog-container.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxDialogContainer = /** @class */ (function (_super) {
    __extends(NarikNgxDialogContainer, _super);
    function NarikNgxDialogContainer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @return {?}
     */
    NarikNgxDialogContainer.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    NarikNgxDialogContainer.decorators = [
        { type: Component, args: [{
                    template: "",
                    animations: [trigger("openClose", DialogAnimationBody)],
                    styles: [".dialog-container{background-color:#fff;border-radius:5px;box-shadow:20px 20px 15px -7px rgba(0,0,0,.2),0 24px 38px 3px rgba(0,0,0,.14),0 9px 46px 8px rgba(0,0,0,.12)}"]
                }] }
    ];
    return NarikNgxDialogContainer;
}(NarikDialogContainer));

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-dialog/narik-ngx-input-dialog.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxInputDialog = /** @class */ (function () {
    function NarikNgxInputDialog(parameters) {
        this.entity = {};
        this.fields = [];
        if (parameters) {
            this.entity = parameters.entity;
            this.fields = parameters.fields;
        }
    }
    /**
     * @return {?}
     */
    NarikNgxInputDialog.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    NarikNgxInputDialog.decorators = [
        { type: Component, args: [{
                    template: "<div class=\"pr-2 pl-2\">\r\n  <narik-dynamic-form [model]=\"entity\" [fields]=\"fields\"></narik-dynamic-form>\r\n</div>\r\n"
                }] }
    ];
    /** @nocollapse */
    NarikNgxInputDialog.ctorParameters = function () { return [
        { type: undefined, decorators: [{ type: Inject, args: [PARAMETERS,] }] }
    ]; };
    return NarikNgxInputDialog;
}());
if (false) {
    /** @type {?} */
    NarikNgxInputDialog.prototype.entity;
    /** @type {?} */
    NarikNgxInputDialog.prototype.fields;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-dialog/narik-ngx-message-dialog.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxMessageDialog = /** @class */ (function () {
    function NarikNgxMessageDialog(parameters) {
        if (parameters) {
            this.message = parameters.message;
        }
    }
    /**
     * @return {?}
     */
    NarikNgxMessageDialog.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    NarikNgxMessageDialog.decorators = [
        { type: Component, args: [{
                    template: "<div class=\"card p-2\">{{message | translate}}</div>\r\n"
                }] }
    ];
    /** @nocollapse */
    NarikNgxMessageDialog.ctorParameters = function () { return [
        { type: undefined, decorators: [{ type: Inject, args: [PARAMETERS,] }] }
    ]; };
    return NarikNgxMessageDialog;
}());
if (false) {
    /** @type {?} */
    NarikNgxMessageDialog.prototype.message;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-dialog/narik-ngx-dialog.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ɵ0 = NarikNgxDialogContainer, ɵ1 = NarikNgxMessageDialog, ɵ2 = NarikNgxInputDialog;
var NarikNgxDialogModule = /** @class */ (function () {
    function NarikNgxDialogModule() {
    }
    NarikNgxDialogModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        FormsModule,
                        TranslateModule,
                        NarikCommonModule,
                        NarikNgxButtonModule,
                        NarikNgxDynamicFormModule
                    ],
                    declarations: [
                        NarikNgxDialogContainer,
                        NarikNgxInputDialog,
                        NarikNgxMessageDialog
                    ],
                    exports: [
                        NarikNgxDialogContainer,
                        NarikNgxInputDialog,
                        NarikNgxMessageDialog
                    ],
                    providers: [
                        {
                            provide: DIALOG_CONTAINER,
                            useValue: ɵ0
                        },
                        {
                            provide: DIALOG_MESSAGE_COMPONENT,
                            useValue: ɵ1
                        },
                        {
                            provide: DIALOG_INPUT_COMPONENT,
                            useValue: ɵ2
                        }
                    ],
                    entryComponents: [
                        NarikNgxDialogContainer,
                        NarikNgxInputDialog,
                        NarikNgxMessageDialog
                    ]
                },] }
    ];
    return NarikNgxDialogModule;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-treeview/narik-ngx-treeview.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxTreeview = /** @class */ (function (_super) {
    __extends(NarikNgxTreeview, _super);
    function NarikNgxTreeview(injector) {
        return _super.call(this, injector) || this;
    }
    Object.defineProperty(NarikNgxTreeview.prototype, "selectedItem", {
        get: /**
         * @return {?}
         */
        function () {
            return this._selectedItem;
        },
        set: /**
         * @param {?} value
         * @return {?}
         */
        function (value) {
            this._selectedItem = value;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @param {?} selectedNode
     * @return {?}
     */
    NarikNgxTreeview.prototype.addNode = /**
     * @param {?} selectedNode
     * @return {?}
     */
    function (selectedNode) {
        throw new Error("Method not implemented.");
    };
    /**
     * @param {?} selectedNode
     * @return {?}
     */
    NarikNgxTreeview.prototype.deleteNode = /**
     * @param {?} selectedNode
     * @return {?}
     */
    function (selectedNode) {
        throw new Error("Method not implemented.");
    };
    NarikNgxTreeview.decorators = [
        { type: Component, args: [{
                    selector: "narik-ngx-treeview narik-treeview",
                    template: ""
                }] }
    ];
    /** @nocollapse */
    NarikNgxTreeview.ctorParameters = function () { return [
        { type: Injector }
    ]; };
    NarikNgxTreeview.propDecorators = {
        newNodeTitle: [{ type: Input }]
    };
    return NarikNgxTreeview;
}(NarikTreeview));
if (false) {
    /** @type {?} */
    NarikNgxTreeview.prototype.newNodeTitle;
    /** @type {?} */
    NarikNgxTreeview.prototype._selectedItem;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-toolbar/narik-ngx-toolbar.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxToolBar = /** @class */ (function (_super) {
    __extends(NarikNgxToolBar, _super);
    function NarikNgxToolBar(injector, viewContainerRef) {
        var _this = _super.call(this, injector, viewContainerRef) || this;
        _this.uniqueId = "";
        _this.uniqueId = "toolbar" + UUID.UUID();
        return _this;
    }
    NarikNgxToolBar.decorators = [
        { type: Component, args: [{
                    selector: "narik-toolbar , narik-ngx-toolbar",
                    template: "\r\n"
                }] }
    ];
    /** @nocollapse */
    NarikNgxToolBar.ctorParameters = function () { return [
        { type: Injector },
        { type: ViewContainerRef }
    ]; };
    return NarikNgxToolBar;
}(NarikToolBar));
if (false) {
    /** @type {?} */
    NarikNgxToolBar.prototype.uniqueId;
    /** @type {?} */
    NarikNgxToolBar.prototype.toolbarItems;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-toolbar/narik-ngx-toolbar.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxToolbarModule = /** @class */ (function () {
    function NarikNgxToolbarModule() {
    }
    NarikNgxToolbarModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        FormsModule,
                        NarikNgxButtonModule,
                        TranslateModule
                    ],
                    declarations: [NarikNgxToolBar],
                    exports: [NarikNgxToolBar],
                    providers: []
                },] }
    ];
    return NarikNgxToolbarModule;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-treeview/narik-ngx-treeview.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxTreeviewModule = /** @class */ (function () {
    function NarikNgxTreeviewModule() {
    }
    NarikNgxTreeviewModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        FormsModule,
                        NarikNgxToolbarModule,
                        TranslateModule
                    ],
                    declarations: [NarikNgxTreeview],
                    exports: [NarikNgxTreeview],
                    providers: []
                },] }
    ];
    return NarikNgxTreeviewModule;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-core/narik-ngx-core.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgxCoreModule = /** @class */ (function () {
    function NarikNgxCoreModule() {
    }
    NarikNgxCoreModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule],
                    declarations: [],
                    exports: [],
                    providers: []
                },] }
    ];
    return NarikNgxCoreModule;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ui-ngx-bootstrap.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikUiNgxBootstrapModule = /** @class */ (function () {
    function NarikUiNgxBootstrapModule() {
    }
    NarikUiNgxBootstrapModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        TranslateModule,
                        NarikNgxAutoCompleteModule,
                        NarikNgxBusyIndicatorModule,
                        NarikNgxButtonModule,
                        NarikNgxCheckBoxModule,
                        NarikNgxCheckBoxListModule,
                        NarikNgxDataTableModule,
                        NarikNgxDatePickerModule,
                        NarikNgxDialogModule,
                        NarikNgxDynamicFormModule,
                        NarikNgxInputModule,
                        NarikNgxRadioGroupModule,
                        NarikNgxSelectModule,
                        NarikNgxToolbarModule,
                        NarikNgxTreeviewModule,
                        NarikNgxCoreModule
                    ],
                    declarations: [],
                    exports: [
                        TranslateModule,
                        NarikNgxAutoCompleteModule,
                        NarikNgxBusyIndicatorModule,
                        NarikNgxButtonModule,
                        NarikNgxCheckBoxModule,
                        NarikNgxCheckBoxListModule,
                        NarikNgxDataTableModule,
                        NarikNgxDatePickerModule,
                        NarikNgxDialogModule,
                        NarikNgxDynamicFormModule,
                        NarikNgxInputModule,
                        NarikNgxRadioGroupModule,
                        NarikNgxSelectModule,
                        NarikNgxToolbarModule,
                        NarikNgxTreeviewModule,
                        NarikNgxCoreModule
                    ],
                    providers: []
                },] }
    ];
    return NarikUiNgxBootstrapModule;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/base/narik-ngx-list-form.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 */
var NarikUiListForm = /** @class */ (function (_super) {
    __extends(NarikUiListForm, _super);
    function NarikUiListForm(injector) {
        var _this = _super.call(this, injector) || this;
        _this.ds = [];
        _this.hasDataSource = false;
        return _this;
    }
    Object.defineProperty(NarikUiListForm.prototype, "isServerSide", {
        get: /**
         * @return {?}
         */
        function () {
            return this.config && this.config.isServerSideData ? true : false;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    NarikUiListForm.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        _super.prototype.ngOnInit.call(this);
        if (this.fields) {
        }
        if (this.config) {
            if (this.isServerSide) {
                /** @type {?} */
                var that = this;
            }
        }
    };
    /**
     * @return {?}
     */
    NarikUiListForm.prototype.ngAfterViewInit = /**
     * @return {?}
     */
    function () { };
    /**
     * @param {?} result
     * @return {?}
     */
    NarikUiListForm.prototype.useData = /**
     * @param {?} result
     * @return {?}
     */
    function (result) {
        this.dataSource = (/** @type {?} */ (result.data));
    };
    /**
     * @protected
     * @param {?=} remoteDaraParams
     * @return {?}
     */
    NarikUiListForm.prototype.refresh = /**
     * @protected
     * @param {?=} remoteDaraParams
     * @return {?}
     */
    function (remoteDaraParams) {
        if (!this.isServerSide) {
            this.getEntities();
        }
        else {
            // this.grid.refresh();
        }
    };
    __decorate([
        NarikInject(TranslateService),
        __metadata("design:type", TranslateService)
    ], NarikUiListForm.prototype, "translateService", void 0);
    return NarikUiListForm;
}(NarikListForm));
if (false) {
    /** @type {?} */
    NarikUiListForm.prototype.ds;
    /** @type {?} */
    NarikUiListForm.prototype.translateService;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/base/narik-ngx-detail-form.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 */
var  /**
 * @template T
 */
NarikUiDetailForm = /** @class */ (function (_super) {
    __extends(NarikUiDetailForm, _super);
    function NarikUiDetailForm(injector) {
        return _super.call(this, injector) || this;
    }
    return NarikUiDetailForm;
}(NarikDetailForm));

/**
 * @fileoverview added by tsickle
 * Generated from: lib/base/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-auto-complete/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-busy-indicator/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-button/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-check-box/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-check-box-list/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-input/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-radio/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-select/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-toolbar/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-dynamic-form/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-treeview/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-dialog/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-data-table/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/narik-ngx-core/public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: narik-ui-ngx-bootstrap.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { NarikNgxAutoComplete, NarikNgxAutoCompleteModule, NarikNgxBusyIndicator, NarikNgxBusyIndicatorModule, NarikNgxButtonComponent, NarikNgxButtonModule, NarikNgxCheckBox, NarikNgxCheckBoxList, NarikNgxCheckBoxListModule, NarikNgxCheckBoxModule, NarikNgxCoreModule, NarikNgxDataTable, NarikNgxDataTableModule, NarikNgxDatePicker, NarikNgxDatePickerModule, NarikNgxDialogContainer, NarikNgxDialogModule, NarikNgxDynamicForm, NarikNgxDynamicFormModule, NarikNgxInput, NarikNgxInputDialog, NarikNgxInputModule, NarikNgxMessageDialog, NarikNgxRadioGroup, NarikNgxRadioGroupModule, NarikNgxSelect, NarikNgxSelectModule, NarikNgxToolBar, NarikNgxToolbarModule, NarikNgxTreeview, NarikNgxTreeviewModule, NarikUiDetailForm, NarikUiListForm, NarikUiNgxBootstrapModule, NARIK_UI_COMPONENT_INPUTS as ɵa, NARIK_UI_FORM_INPUTS as ɵb, NARIK_DATA_ORIENTED_OUTPUTS as ɵc, NARIK_DATA_ORIENTED_INPUTS as ɵd, NARIK_DATA_DISPLAY_VALUE_OUTPUTS as ɵe, NARIK_DATA_DISPLAY_VALUE_INPUTS as ɵf, NARIK_CHECKBOX_INPUTS as ɵg, NARIK_SELECT_INPUTS as ɵh, NARIK_DATE_PICKER_INPUTS as ɵi, NARIK_INPUT_INPUTS as ɵj };
//# sourceMappingURL=narik-ui-ngx-bootstrap.js.map
